# TST - work time tracker
# setup.py: distutils script
# Copyright (C) 2005 The TST Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this package; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

import os
import sys
from glob import glob
from distutils.core import setup

if "update" in sys.argv:
    for po in glob("locale/??/tst10.po"):
        mo = po.replace(".po", ".mo")
        try:
            if os.stat(po)[8] <= os.stat(mo)[8]:
                continue
        except OSError:
            pass
        cmd = "msgfmt -o %s %s" % (mo, po)
        print cmd
        os.system(cmd)
    for rst in glob("doc/manual-??.rst"):
        lang = rst[(rst.rfind("-") + 1) : rst.rfind(".")]
        html = "doc/manual-%s.html" % lang
        try:
            if os.stat(rst)[8] <= os.stat(html)[8]:
                continue
        except OSError:
            pass
        if lang == "en":
            cmd = "rst2html %s %s" % (rst, html)
        else:
            cmd = "rst2html %s | sed 's/lang=\"en\"/lang=\"%s\"/g' >%s" \
                  % (rst, lang, html)
        print cmd
        os.system(cmd)
    if len(sys.argv) == 2:
        sys.exit(0)
    try:
        while True:
            sys.argv.remove("update")
    except ValueError:
        pass

name = "tst10"
version = "1.0.3"
description = "Work Time Tracker"
maintainer = "Josep Portella Florit"
maintainer_email = "jpf@sdf.lonestar.org"
url = "http://jpf.sdf1.org/tst"
packages = ['tst10']
scripts = ['scripts/tst10', 'scripts/tst10-admin']
data_files = [
    ('share/pixmaps/tst10', glob('pixmaps/*.xpm') + glob('pixmaps/*.png'))]
for mo in glob("locale/??/tst10.mo"):
    data_files.append(('share/' + os.path.dirname(mo) + '/LC_MESSAGES', (mo,)))
data_files.append(
    ('share/doc/tst10/html', ['doc/default.css'] + glob('doc/manual-??.html')))
data_files.append(
    ('share/doc/tst10/html/png', glob('doc/png/tst10*.png')))
if len(sys.argv) > 1 and sys.argv[1] == "bdist_wininst":
    data_files.append(('share/pixmaps/tst10', glob('pixmaps/*.ico')))
    scripts.append('scripts/tst10-postinstall')
license = "GNU GPL"
long_description = "\
TST allows users to easily track the time spent on projects and\n\
generate simple reports.  It features centralized data storage in a\n\
database server and includes a simple tool for user administration."
download_url = "http://jpf.sdf1.org/tst/%s/%s-%s.tar.gz" \
               % (name, name, version)
classifiers = [
    "Development Status :: 5 - Production/Stable",
    "Environment :: X11 Applications :: GTK",
    "Environment :: Win32 (MS Windows)",
    "Intended Audience :: End Users/Desktop",
    "License :: OSI Approved :: GNU General Public License (GPL)",
    "Operating System :: POSIX",
    "Operating System :: Microsoft :: Windows",
    "Programming Language :: Python",
    "Topic :: Office/Business :: News/Diary",
    "Topic :: Utilities" ]

setup(name = name,
      version = version,
      description = description,
      maintainer = maintainer,
      maintainer_email = maintainer_email,
      url = url,
      packages = packages,
      scripts = scripts,
      data_files = data_files,
      license = license,
      long_description = long_description,
      download_url = download_url,
      classifiers = classifiers)
